<div align="center">

</div>

<a name="note"></a>

## Note

This package is not made my me. I just fix it to use in next js. The real package name is
react-promise-loader. </br> Here is the link of original package: </br>
https://www.npmjs.com/package/react-promise-loader

<a name="installation"></a>

## Installation

You need to install promise loader and promise tracker packages:

```bash
npm install next-js-promise-loader react-promise-tracker
```

You can use yarn:

```bash
yarn add next-js-promise-loader react-promise-tracker
```

<a name="gettingstarted"></a>

## Getting started

Wrap promises that you would like to track as in the following example:

```diff
+ import { trackPromise} from 'react-promise-tracker';
//...

+ trackPromise(
    fetchUsers(); // You function that returns a promise
+ );
```

Then you need to add the Loader component and send data from the react-promise-tracker:

```diff
+ import { usePromiseTracker } from 'react-promise-tracker';
+ import Loader from 'next-js-promise-loader';

const App = () => (
  <div className="app">
    ...
+     <Loader promiseTracker={usePromiseTracker} color={'#3d5e61'} background={'rgba(255,255,255,.5)'} />
  </div>
);
export default App;
```

<a name="settings"></a>

## The settings of the component

| Parameter          | Type    | Description                                                                   | Default                |
| ------------------ | ------- | ----------------------------------------------------------------------------- | ---------------------- |
| **background**     | string  | Sets the color for the background in any format that supports css             | `rgba(255,255,255,.5)` |
| **color**          | string  | Sets the color of the spinner                                                 | `#000`                 |
| **promiseTracker** | boolean | You need to set `usePromiseTracker` function from the `react-promise-tracker` | `false`                |
| **loading**        | boolean | If you need to run the loader without tracking promises you should set `true` | `false`                |
| **zIndex**         | number  | You can change the z-index to distribute the layers correctly                 | `999`                  |

<a name="contributing"></a>

## Contributing

Please read through our [CONTRIBUTING.md](/.github/CONTRIBUTING.md).
